Name:           debootstrap
Version:        1.0.134
Release:        1
Summary:        Debian base system maintainer tool
License:        MIT
URL:            https://wiki.debian.org/Debootstrap
Source0:        http://ftp.debian.org/debian/pool/main/d/debootstrap/debootstrap_%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  fakeroot
Requires:       gettext perl-interpreter wget tar gzip dpkg xz
Recommends:     ubu-keyring debian-keyring

%description
Debootstrap is a tool which will install a Debian base system into a subdirectory of another,
already installed system.
It doesn't require an installation CD, just access to a Debian repository. It can also be installed
and run from another operating system, so, for instance, you can use debootstrap to install Debian
onto an unused partition from a running Gentoo system. It can also be used to create a rootfs for a
machine of a different architecture, which is known as "cross-debootstrapping". 

%package     help
Summary:     Help document for debootstrap

%description help
Help document debootstrap.

%prep
%autosetup -n %{name} -p1

sed -i -e 's;/usr/sbin;%{_sbindir};' Makefile
mv debootstrap debootstrap.orig
sed -e 's;/usr/share;%{_datadir};' debootstrap.orig > debootstrap
touch -r debootstrap.orig debootstrap
rm debootstrap.orig

%build

%install
fakeroot make install DESTDIR=%{buildroot} VERSION="%{version}-%{release}"
install -Dp -m0644 debootstrap.8 %{buildroot}%{_mandir}/man8/debootstrap.8

%files
%license debian/copyright
%{_datadir}/debootstrap
%{_sbindir}/debootstrap

%files help
%doc debian/changelog README
%{_mandir}/man8/debootstrap.8*

%changelog
* Wed Feb 28 2024 xu_ping <707078654@qq.com.com> - 1.0.134-1
- Update to 1.0.134

* Mon Oct 16 2023 chenyaqiang <chenyaqiang@huawei.com> - 1.0.132-1
- Update to 1.0.132

* Tue Feb 18 2020 shijian <shijian16@huawei.com> - 1.0.109-3
- Package init
